Get PerfectMind Contact IDs

Retrieves PerfectMind contact IDs associated with the user's email address. Uses the LoginRadius access token to look up the user and match them against PerfectMind contacts using email and birth date.

GET
/sso/perfectmind/contact

Retrieves PerfectMind contact IDs associated with the user's email address. Uses the LoginRadius access token to look up the user and match them against PerfectMind contacts using email and birth date.

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

access_token*string

Access Token of the User

perfectmindsitename*string

PerfectMind site name identifier

birthdate?string

User's birth date for PerfectMind contact lookup

perfectScanID?string

PerfectMind scan ID for contact lookup

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.hub.loginradius.com/sso/perfectmind/contact?access_token=1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef&perfectmindsitename=mysite&birthdate=1990-01-15&perfectScanID=scan123"
{
  "Email": "user@example.com",
  "ContactId": [
    "12345",
    "67890"
  ]
}
{
  "Message": "string",
  "Description": "string",
  "ErrorCode": 0,
  "Code": 0
}
{
  "Message": "string",
  "Description": "string",
  "ErrorCode": 0,
  "Code": 0
}
{
  "Message": "string",
  "Description": "string",
  "ErrorCode": 0,
  "Code": 0
}